#ifndef FGGL_SCENES_MENU_H
#define FGGL_SCENES_MENU_H

#include <fggl/app.hpp>
#include <fggl/input/input.hpp>

namespace fggl::scenes {

    class BasicMenu : public AppState {
        public:
            BasicMenu(App& owner);

            void update() override;
            void render(gfx::Paint& paint) override;

            void activate() override;
            void deactivate() override;

        private:
            input::Input* m_inputs;
    };

} // namepace fggl::scenes

#endif
